/*------------------------------------------------------------------------------
	[AppEvent.h]

	Copyright (C) 2004 Ki

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
------------------------------------------------------------------------------*/
#ifndef APP_EVENT_H_INCLUDED
#define APP_EVENT_H_INCLUDED


#include "TypeDefs.h"


enum
{
	APPEVENT_NONE = 0,
	APPEVENT_FILEDIALOG,
	APPEVENT_OPENGAME,
	APPEVENT_CDCHANGE, //Kitaoǉ
	APPEVENT_RESET,
	APPEVENT_PAUSE,
	APPEVENT_RUN,
	APPEVENT_ADVANCEFRAME_1,
	APPEVENT_ADVANCEFRAME_10,
	APPEVENT_ADVANCEFRAME_100,
	APPEVENT_PAUSE_BUTTON, //Kitaoǉ
	APPEVENT_WRITE_MEMORY, //Kitaoǉ
	APPEVENT_ABOUT_WRITEMEM, //Kitaoǉ
	APPEVENT_RESUME, //Kitaoǉ
	APPEVENT_AUTO_RESUME, //Kitaoǉ
	APPEVENT_SAVESTATE,
	APPEVENT_SAVESTATE_1, //Kitaoǉ
	APPEVENT_SAVESTATE_2, //Kitaoǉ
	APPEVENT_SAVESTATE_3, //Kitaoǉ
	APPEVENT_SAVESTATE_4, //Kitaoǉ
	APPEVENT_SAVESTATE_5, //Kitaoǉ
	APPEVENT_SAVESTATE_6, //Kitaoǉ
	APPEVENT_SAVESTATE_7, //Kitaoǉ
	APPEVENT_SAVESTATE_8, //Kitaoǉ
	APPEVENT_SAVESTATE_9, //Kitaoǉ
	APPEVENT_SAVESTATE_10, //Kitaoǉ
	APPEVENT_SAVESTATE_11, //Kitaoǉ
	APPEVENT_SAVESTATE_12, //Kitaoǉ
	APPEVENT_SAVESTATE_13, //Kitaoǉ
	APPEVENT_SAVESTATE_14, //Kitaoǉ
	APPEVENT_SAVESTATE_15, //Kitaoǉ
	APPEVENT_SAVESTATE_16, //Kitaoǉ
	APPEVENT_SAVESTATE_17, //Kitaoǉ
	APPEVENT_SAVESTATE_18, //Kitaoǉ
	APPEVENT_SAVESTATE_19, //Kitaoǉ
	APPEVENT_SAVESTATE_20, //Kitaoǉ
	APPEVENT_SAVESTATE_21, //Kitaoǉ
	APPEVENT_SAVESTATE_22, //Kitaoǉ
	APPEVENT_SAVESTATE_23, //Kitaoǉ
	APPEVENT_SAVESTATE_24, //Kitaoǉ
	APPEVENT_SAVESTATE_25, //Kitaoǉ
	APPEVENT_SAVESTATE_26, //Kitaoǉ
	APPEVENT_SAVESTATE_27, //Kitaoǉ
	APPEVENT_SAVESTATE_28, //Kitaoǉ
	APPEVENT_SAVESTATE_29, //Kitaoǉ
	APPEVENT_SAVESTATE_30, //Kitaoǉ
	APPEVENT_SAVESTATE_31, //Kitaoǉ
	APPEVENT_SAVESTATE_32, //Kitaoǉ
	APPEVENT_SAVESTATE_33, //Kitaoǉ
	APPEVENT_SAVESTATE_34, //Kitaoǉ
	APPEVENT_SAVESTATE_35, //Kitaoǉ
	APPEVENT_SAVESTATE_36, //Kitaoǉ
	APPEVENT_SAVESTATE_37, //Kitaoǉ
	APPEVENT_SAVESTATE_38, //Kitaoǉ
	APPEVENT_SAVESTATE_39, //Kitaoǉ
	APPEVENT_SAVESTATE_40, //Kitaoǉ
	APPEVENT_SAVESTATE_41, //Kitaoǉ
	APPEVENT_SAVESTATE_42, //Kitaoǉ
	APPEVENT_SAVESTATE_43, //Kitaoǉ
	APPEVENT_SAVESTATE_44, //Kitaoǉ
	APPEVENT_SAVESTATE_45, //Kitaoǉ
	APPEVENT_SAVESTATE_46, //Kitaoǉ
	APPEVENT_SAVESTATE_47, //Kitaoǉ
	APPEVENT_SAVESTATE_48, //Kitaoǉ
	APPEVENT_SAVESTATE_49, //Kitaoǉ
	APPEVENT_SAVESTATE_50, //Kitaoǉ
	APPEVENT_LOADSTATE,
	APPEVENT_LOADSTATE_P, //Kitaoǉ
	APPEVENT_LOADSTATE_1, //Kitaoǉ
	APPEVENT_LOADSTATE_2, //Kitaoǉ
	APPEVENT_LOADSTATE_3, //Kitaoǉ
	APPEVENT_LOADSTATE_4, //Kitaoǉ
	APPEVENT_LOADSTATE_5, //Kitaoǉ
	APPEVENT_LOADSTATE_6, //Kitaoǉ
	APPEVENT_LOADSTATE_7, //Kitaoǉ
	APPEVENT_LOADSTATE_8, //Kitaoǉ
	APPEVENT_LOADSTATE_9, //Kitaoǉ
	APPEVENT_LOADSTATE_10, //Kitaoǉ
	APPEVENT_LOADSTATE_11, //Kitaoǉ
	APPEVENT_LOADSTATE_12, //Kitaoǉ
	APPEVENT_LOADSTATE_13, //Kitaoǉ
	APPEVENT_LOADSTATE_14, //Kitaoǉ
	APPEVENT_LOADSTATE_15, //Kitaoǉ
	APPEVENT_LOADSTATE_16, //Kitaoǉ
	APPEVENT_LOADSTATE_17, //Kitaoǉ
	APPEVENT_LOADSTATE_18, //Kitaoǉ
	APPEVENT_LOADSTATE_19, //Kitaoǉ
	APPEVENT_LOADSTATE_20, //Kitaoǉ
	APPEVENT_LOADSTATE_21, //Kitaoǉ
	APPEVENT_LOADSTATE_22, //Kitaoǉ
	APPEVENT_LOADSTATE_23, //Kitaoǉ
	APPEVENT_LOADSTATE_24, //Kitaoǉ
	APPEVENT_LOADSTATE_25, //Kitaoǉ
	APPEVENT_LOADSTATE_26, //Kitaoǉ
	APPEVENT_LOADSTATE_27, //Kitaoǉ
	APPEVENT_LOADSTATE_28, //Kitaoǉ
	APPEVENT_LOADSTATE_29, //Kitaoǉ
	APPEVENT_LOADSTATE_30, //Kitaoǉ
	APPEVENT_LOADSTATE_31, //Kitaoǉ
	APPEVENT_LOADSTATE_32, //Kitaoǉ
	APPEVENT_LOADSTATE_33, //Kitaoǉ
	APPEVENT_LOADSTATE_34, //Kitaoǉ
	APPEVENT_LOADSTATE_35, //Kitaoǉ
	APPEVENT_LOADSTATE_36, //Kitaoǉ
	APPEVENT_LOADSTATE_37, //Kitaoǉ
	APPEVENT_LOADSTATE_38, //Kitaoǉ
	APPEVENT_LOADSTATE_39, //Kitaoǉ
	APPEVENT_LOADSTATE_40, //Kitaoǉ
	APPEVENT_LOADSTATE_41, //Kitaoǉ
	APPEVENT_LOADSTATE_42, //Kitaoǉ
	APPEVENT_LOADSTATE_43, //Kitaoǉ
	APPEVENT_LOADSTATE_44, //Kitaoǉ
	APPEVENT_LOADSTATE_45, //Kitaoǉ
	APPEVENT_LOADSTATE_46, //Kitaoǉ
	APPEVENT_LOADSTATE_47, //Kitaoǉ
	APPEVENT_LOADSTATE_48, //Kitaoǉ
	APPEVENT_LOADSTATE_49, //Kitaoǉ
	APPEVENT_LOADSTATE_50, //Kitaoǉ
	APPEVENT_SAVE_BUTTON, //Kitaoǉ
	APPEVENT_LOAD_BUTTON, //Kitaoǉ
	APPEVENT_SAVE_DEFAULT, //Kitaoǉ
	APPEVENT_FOLDER_STATE, //Kitaoǉ
	APPEVENT_CUSTOMIZE_STATE, //Kitaoǉ
	APPEVENT_PARTIALMEMORYLOAD,
	APPEVENT_RECORDING,
	APPEVENT_PLAYRECORD,
	APPEVENT_RECORDING_1, //Kitaoǉ
	APPEVENT_RECORDING_2, //Kitaoǉ
	APPEVENT_RECORDING_3, //Kitaoǉ
	APPEVENT_RECORDING_4, //Kitaoǉ
	APPEVENT_RECORDING_5, //Kitaoǉ
	APPEVENT_RECORDING_6, //Kitaoǉ
	APPEVENT_RECORDING_7, //Kitaoǉ
	APPEVENT_RECORDING_8, //Kitaoǉ
	APPEVENT_RECORDING_9, //Kitaoǉ
	APPEVENT_RECORDING_10, //Kitaoǉ
	APPEVENT_RECORDING_HELP, //Kitaoǉ
	APPEVENT_PLAYRECORD_1, //Kitaoǉ
	APPEVENT_PLAYRECORD_2, //Kitaoǉ
	APPEVENT_PLAYRECORD_3, //Kitaoǉ
	APPEVENT_PLAYRECORD_4, //Kitaoǉ
	APPEVENT_PLAYRECORD_5, //Kitaoǉ
	APPEVENT_PLAYRECORD_6, //Kitaoǉ
	APPEVENT_PLAYRECORD_7, //Kitaoǉ
	APPEVENT_PLAYRECORD_8, //Kitaoǉ
	APPEVENT_PLAYRECORD_9, //Kitaoǉ
	APPEVENT_PLAYRECORD_10, //Kitaoǉ
	APPEVENT_MOVERECORD_1, //Kitaoǉ
	APPEVENT_MOVERECORD_2, //Kitaoǉ
	APPEVENT_MOVERECORD_3, //Kitaoǉ
	APPEVENT_MOVERECORD_4, //Kitaoǉ
	APPEVENT_MOVERECORD_5, //Kitaoǉ
	APPEVENT_MOVERECORD_6, //Kitaoǉ
	APPEVENT_MOVERECORD_7, //Kitaoǉ
	APPEVENT_MOVERECORD_8, //Kitaoǉ
	APPEVENT_MOVERECORD_9, //Kitaoǉ
	APPEVENT_MOVERECORD_10, //Kitaoǉ
	APPEVENT_FOLDER_GAMEPLAY, //Kitaoǉ
	APPEVENT_FOLDER_BRAM, //Kitaoǉ
	APPEVENT_FOLDER_MB128, //Kitaoǉ
	APPEVENT_REDRAWSCREEN,
	APPEVENT_EXIT,
	APPEVENT_SHOWMENU,
	APPEVENT_HIDEMENU,
	APPEVENT_PRIORITY_HIGH, //Kitaoǉ
	APPEVENT_PRIORITY_NORMAL, //Kitaoǉ
	APPEVENT_TOGGLESIXBUTTONPAD,

	APPEVENT_RECENT_1, //Kitaoǉ
	APPEVENT_RECENT_2, //Kitaoǉ
	APPEVENT_RECENT_3, //Kitaoǉ
	APPEVENT_RECENT_4, //Kitaoǉ
	APPEVENT_RECENT_5, //Kitaoǉ
	APPEVENT_RECENT_6, //Kitaoǉ
	APPEVENT_RECENT_7, //Kitaoǉ
	APPEVENT_RECENT_8, //Kitaoǉ
	APPEVENT_RECENT_9, //Kitaoǉ
	APPEVENT_RECENT_10, //Kitaoǉ
	APPEVENT_RECENT_11, //Kitaoǉ
	APPEVENT_RECENT_12, //Kitaoǉ
	APPEVENT_RECENT_13, //Kitaoǉ
	APPEVENT_RECENT_14, //Kitaoǉ
	APPEVENT_RECENT_15, //Kitaoǉ
	APPEVENT_RECENT_16, //Kitaoǉ
	APPEVENT_RECENT_17, //Kitaoǉ
	APPEVENT_RECENT_18, //Kitaoǉ
	APPEVENT_RECENT_19, //Kitaoǉ
	APPEVENT_RECENT_20, //Kitaoǉ

	APPEVENT_SCREEN_CS, //Kitaoǉ
	APPEVENT_SCREEN_X1,
	APPEVENT_SCREEN_X2,
	APPEVENT_SCREEN_X3,
	APPEVENT_SCREEN_X4,
	APPEVENT_SCREEN_F1,
	APPEVENT_SCREEN_F2,
	APPEVENT_SCREEN_DISABLEAERO, //Kitaoǉ
	APPEVENT_SCREEN_USEAERO, //Kitaoǉ
	APPEVENT_SCREEN_GAMMA1, //Kitaoǉ
	APPEVENT_SCREEN_GAMMA2,
	APPEVENT_SCREEN_GAMMA3,
	APPEVENT_SCREEN_GAMMA4,
	APPEVENT_SCREEN_GAMMA5,
	APPEVENT_SCREEN_GAMMA6,
	APPEVENT_SCREEN_GAMMA7,
	APPEVENT_SCREEN_BRIGHT1, //Kitaoǉ
	APPEVENT_SCREEN_BRIGHT2,
	APPEVENT_SCREEN_BRIGHT3,
	APPEVENT_SCREEN_BRIGHT4,
	APPEVENT_SCREEN_BRIGHT5,
	APPEVENT_SCREEN_BRIGHT6,
	APPEVENT_SCREEN_BRIGHT7,
	APPEVENT_SCREEN_BRIGHT8,
	APPEVENT_SCREEN_BRIGHT9,
	APPEVENT_SCREEN_MINIMIZE, //Kitaoǉ
	APPEVENT_SCREEN_NONSTRETCHED, //Kitaoǉ
	APPEVENT_SCREEN_STRETCHED,
	APPEVENT_SCREEN_FULLSTRETCHED, //Kitaoǉ
	APPEVENT_SCREEN_VERTICAL, //Kitaoǉ
	APPEVENT_SCREEN_MONOCOLOR, //Kitaoǉ
	APPEVENT_SCREEN_SHOWOVERSCAN, //Kitaoǉ
	APPEVENT_SCREEN_OVERTB, //Kitaoǉ
	APPEVENT_SCREEN_OVERTOP, //Kitaoǉ
	APPEVENT_SCREEN_OVERBOTTOM, //Kitaoǉ
	APPEVENT_SCREEN_OVERNONETB, //Kitaoǉ
	APPEVENT_SCREEN_OVERHEIGHT8, //Kitaoǉ
	APPEVENT_SCREEN_OVERHEIGHT7, //Kitaoǉ
	APPEVENT_SCREEN_OVERHEIGHT6, //Kitaoǉ
	APPEVENT_SCREEN_OVERHEIGHT4, //Kitaoǉ
	APPEVENT_SCREEN_OVERHEIGHT2, //Kitaoǉ
	APPEVENT_SCREEN_OVERHEIGHT1, //Kitaoǉ
	APPEVENT_SCREEN_OVERLR, //Kitaoǉ
	APPEVENT_SCREEN_OVERNONELR, //Kitaoǉ
	APPEVENT_SCREEN_OVERSTART, //Kitaoǉ
	APPEVENT_SCREEN_OVERBLACK, //Kitaoǉ
	APPEVENT_SCREEN_SOVERTB, //Kitaoǉ
	APPEVENT_SCREEN_SOVERTOP, //Kitaoǉ
	APPEVENT_SCREEN_SOVERBOTTOM, //Kitaoǉ
	APPEVENT_SCREEN_SOVERNONETB, //Kitaoǉ
	APPEVENT_SCREEN_SOVERHEIGHT8, //Kitaoǉ
	APPEVENT_SCREEN_SOVERHEIGHT7, //Kitaoǉ
	APPEVENT_SCREEN_SOVERHEIGHT6, //Kitaoǉ
	APPEVENT_SCREEN_SOVERHEIGHT4, //Kitaoǉ
	APPEVENT_SCREEN_SOVERHEIGHT2, //Kitaoǉ
	APPEVENT_SCREEN_SOVERHEIGHT1, //Kitaoǉ
	APPEVENT_SCREEN_SOVERLR, //Kitaoǉ
	APPEVENT_SCREEN_SOVERNONELR, //Kitaoǉ
	APPEVENT_SCREEN_FULLSCREEN,
	APPEVENT_SCREEN_FULLSCREEN640, //Kitaoǉ
	APPEVENT_SCREEN_FULLSCREENCS1, //Kitaoǉ
	APPEVENT_SCREEN_FULLSCREENCS2, //Kitaoǉ
	APPEVENT_SCREEN_FULLSCREENCS3, //Kitaoǉ
	APPEVENT_SCREEN_FULLSCREENCSA, //Kitaoǉ
	APPEVENT_SCREEN_FULL60HZ, //Kitaoǉ
	APPEVENT_SCREEN_FULL120HZ, //Kitaoǉ
	APPEVENT_SCREEN_SPSCANLINED, //Kitaoǉ
	APPEVENT_SCREEN_HRSCANLINEDTV, //Kitaoǉ
	APPEVENT_SCREEN_HRSCANLINED, //Kitaoǉ
	APPEVENT_SCREEN_HRSCANLINED2, //Kitaoǉ
	APPEVENT_SCREEN_HRSCANLINED3, //Kitaoǉ
	APPEVENT_SCREEN_HRSCANLINEDF, //Kitaoǉ
	APPEVENT_SCREEN_NONSCANLINED, //Kitaoǉ
	APPEVENT_SCREEN_NONSCANLINED2, //Kitaoǉ
	APPEVENT_SCREEN_NONSCANLINEDTV, //Kitaoǉ
	APPEVENT_SCREEN_SCANDENSITY0, //Kitaoǉ
	APPEVENT_SCREEN_SCANDENSITY10, //Kitaoǉ
	APPEVENT_SCREEN_SCANDENSITY20, //Kitaoǉ
	APPEVENT_SCREEN_SCANDENSITY30, //Kitaoǉ
	APPEVENT_SCREEN_SCANDENSITY40, //Kitaoǉ
	APPEVENT_SCREEN_SCANDENSITY50, //Kitaoǉ
	APPEVENT_SCREEN_SCANDENSITY60, //Kitaoǉ
	APPEVENT_SCREEN_SCANDENSITY70, //Kitaoǉ
	APPEVENT_SCREEN_SCANDENSITY80, //Kitaoǉ
	APPEVENT_SCREEN_SCANGAMMA, //Kitaoǉ
	APPEVENT_SCREEN_SYNC_VBLANK,
	APPEVENT_SCREEN_SYNC_WINDOWS, //Kitaoǉ
	APPEVENT_SCREEN_SYNC_WINDOWSF, //Kitaoǉ
	APPEVENT_SCREEN_SYNC_NON, //Kitaoǉ
	APPEVENT_SCREEN_SYNC_ADJUST, //Kitaoǉ
	APPEVENT_SCREEN_DIRECT3D, //Kitaoǉ
	APPEVENT_SCREEN_DIRECTDRAW, //Kitaoǉ
	APPEVENT_SCREEN_USE_VIDEOMEM, //Kitaoǉ
	APPEVENT_SCREEN_USE_SYSTEMMEM, //Kitaoǉ
	APPEVENT_SCREEN_USE_SYSTEMMEMW, //Kitaoǉ
	APPEVENT_SCREEN_FULL16BITCOLOR, //Kitaoǉ
	APPEVENT_SCREEN_FULL32BITCOLOR, //Kitaoǉ
	APPEVENT_SCREEN_STARTWINDOW, //Kitaoǉ
	APPEVENT_SCREEN_STARTFULL, //Kitaoǉ
	APPEVENT_SCREEN_TOPMOST, //Kitaoǉ
	APPEVENT_SCREEN_ACTIVATE, //Kitaoǉ
	APPEVENT_SCREEN_NONACTIVATE, //Kitaoǉ
	APPEVENT_SCREEN_UNPAUSE, //Kitaoǉ

	APPEVENT_INPUT_TWO_BUTTON_PAD,
	APPEVENT_INPUT_THR_BUTTON_PAD, //Kitaoǉ
	APPEVENT_INPUT_SIX_BUTTON_PAD,
	APPEVENT_INPUT_MOUSE,
	APPEVENT_INPUT_MULTI_TAP,
	APPEVENT_INPUT_MB128,
	APPEVENT_INPUT_SWAP_SELRUN, //Kitaoǉ
	APPEVENT_INPUT_SWAP_IANDII, //Kitaoǉ
	APPEVENT_INPUT_TURBO_1, //Kitaoǉ
	APPEVENT_INPUT_TURBO_2, //Kitaoǉ
	APPEVENT_INPUT_TURBO_RUN, //Kitaoǉ
	APPEVENT_INPUT_TURBO_HIGH, //Kitaoǉ
	APPEVENT_INPUT_TURBO_MIDDLE, //Kitaoǉ
	APPEVENT_INPUT_TURBO_LOW, //Kitaoǉ
	APPEVENT_INPUT_TURBO_OFF, //Kitaoǉ
	APPEVENT_INPUT_CHECKPAD_LR, //Kitaoǉ

	APPEVENT_INPUT_CONFIGURE_PAD1,
	APPEVENT_INPUT_CONFIGURE_PAD2,
	APPEVENT_INPUT_CONFIGURE_PAD3,
	APPEVENT_INPUT_CONFIGURE_PAD4,
	APPEVENT_INPUT_CONFIGURE_PAD5,
	APPEVENT_INPUT_CONFIGURE_TB1, //Kitaoǉ
	APPEVENT_INPUT_CONFIGURE_TB2, //Kitaoǉ
	APPEVENT_INPUT_CONFIGURE_TB3, //Kitaoǉ
	APPEVENT_INPUT_CONFIGURE_TB4, //Kitaoǉ
	APPEVENT_INPUT_CONFIGURE_TB5, //Kitaoǉ
	APPEVENT_INPUT_CONFIGURE_INIT, //Kitaoǉ
	APPEVENT_INPUT_CONFIGURE_KEYBG, //Kitaoǉ
	APPEVENT_INPUT_CONFIGURE_JOYBG, //Kitaoǉ
	APPEVENT_INPUT_FUNCTION, //Kitaoǉ
	APPEVENT_INPUT_FB_CURSOR, //Kitaoǉ
	APPEVENT_INPUT_FB_IandII, //Kitaoǉ
	APPEVENT_INPUT_FB_SEL, //Kitaoǉ
	APPEVENT_INPUT_FB_RUN, //Kitaoǉ
	APPEVENT_INPUT_FB_VSPEEDUP, //Kitaoǉ
	APPEVENT_INPUT_FB_SAVELOAD, //Kitaoǉ

	APPEVENT_AUDIO_SR96000,
	APPEVENT_AUDIO_SR88200,
	APPEVENT_AUDIO_SR64000,
	APPEVENT_AUDIO_SR48000,
	APPEVENT_AUDIO_SR44100,
	APPEVENT_AUDIO_SR32000,
	APPEVENT_AUDIO_SR22050,
	APPEVENT_AUDIO_SR11025,

	APPEVENT_AUDIO_SB1024, //KitaoXV
	APPEVENT_AUDIO_SB1152,
	APPEVENT_AUDIO_SB1280,
	APPEVENT_AUDIO_SB1408,
	APPEVENT_AUDIO_SB1536,
	APPEVENT_AUDIO_SB1664,
	APPEVENT_AUDIO_SB1792,
	APPEVENT_AUDIO_SB2048,
	APPEVENT_AUDIO_SB2176,
	APPEVENT_AUDIO_SB2304,
	APPEVENT_AUDIO_SB2560,
	APPEVENT_AUDIO_SB3072,
	APPEVENT_AUDIO_HQPSG1, //Kitaoǉ
	APPEVENT_AUDIO_HQPSG2, //Kitaoǉ
	APPEVENT_AUDIO_HQPSG3, //Kitaoǉ

	APPEVENT_AUDIO_METHOD7SC, //Kitaoǉ
	APPEVENT_AUDIO_METHOD7SM, //Kitaoǉ
	APPEVENT_AUDIO_METHOD9SC, //Kitaoǉ
	APPEVENT_AUDIO_METHOD9SM, //Kitaoǉ
	APPEVENT_AUDIO_METHOD20, //Kitaoǉ

	APPEVENT_AUDIO_STEREO, //Kitaoǉ
	APPEVENT_AUDIO_MONO, //Kitaoǉ

	APPEVENT_AUDIO_NORMALBUFFER, //Kitaoǉ
	APPEVENT_AUDIO_BIGBUFFER, //Kitaoǉ
	APPEVENT_AUDIO_MOSTBUFFER, //Kitaoǉ
	APPEVENT_AUDIO_HESBIGBUFFER, //Kitaoǉ

	APPEVENT_AUDIO_CDDAAUTO, //Kitaoǉ
	APPEVENT_AUDIO_CDDA593, //Kitaoǉ
	APPEVENT_AUDIO_CDDA594, //Kitaoǉ
	APPEVENT_AUDIO_CDDA595, //Kitaoǉ
	APPEVENT_AUDIO_CDDA596, //Kitaoǉ
	APPEVENT_AUDIO_CDDA597, //Kitaoǉ
	APPEVENT_AUDIO_CDDA598, //Kitaoǉ
	APPEVENT_AUDIO_CDDA599, //Kitaoǉ
	APPEVENT_AUDIO_CDDA600, //Kitaoǉ
	APPEVENT_AUDIO_CDDA601, //Kitaoǉ
	APPEVENT_AUDIO_CDDA602, //Kitaoǉ
	APPEVENT_AUDIO_CDDAP000, //Kitaoǉ
	APPEVENT_AUDIO_CDDAP005, //Kitaoǉ
	APPEVENT_AUDIO_SYNC_VBLANK, //Kitaoǉ
	APPEVENT_AUDIO_DELAYFRAME0, //Kitaoǉ
	APPEVENT_AUDIO_DELAYFRAME1, //Kitaoǉ
	APPEVENT_AUDIO_DELAYFRAME2, //Kitaoǉ
	APPEVENT_AUDIO_DELAYFRAME3, //Kitaoǉ
	APPEVENT_AUDIO_DELAYFRAME4, //Kitaoǉ

	APPEVENT_AUDIO_SETVOLUME,
	APPEVENT_AUDIO_DEFAULTVOLUME, //Kitaoǉ

	APPEVENT_VOLUME_NORMAL, //Kitaoǉ
	APPEVENT_VOLUME_3QUARTERS, //Kitaoǉ
	APPEVENT_VOLUME_HALF, //Kitaoǉ
	APPEVENT_VOLUME_QUARTER, //Kitaoǉ
	APPEVENT_VOLUME_MUTE, //Kitaoǉ
	APPEVENT_VOLUME_DEFAULT, //Kitaoǉ
	APPEVENT_VOLUME_12, //Kitaoǉ
	APPEVENT_VOLUME_11, //Kitaoǉ
	APPEVENT_VOLUME_10, //Kitaoǉ
	APPEVENT_VOLUME_9, //Kitaoǉ
	APPEVENT_VOLUME_8, //Kitaoǉ
	APPEVENT_VOLUME_7, //Kitaoǉ
	APPEVENT_VOLUME_6, //Kitaoǉ
	APPEVENT_VOLUME_5, //Kitaoǉ
	APPEVENT_VOLUME_4, //Kitaoǉ
	APPEVENT_VOLUME_3, //Kitaoǉ
	APPEVENT_VOLUME_2, //Kitaoǉ
	APPEVENT_VOLUME_1, //Kitaoǉ
	APPEVENT_VOLUME_UP, //Kitaoǉ
	APPEVENT_VOLUME_DOWN, //Kitaoǉ
	APPEVENT_VOLUME_STEP, //Kitaoǉ
	APPEVENT_VOLUME_STEP10, //Kitaoǉ
	APPEVENT_VOLUME_STEP8, //Kitaoǉ
	APPEVENT_VOLUME_STEP6, //Kitaoǉ
	APPEVENT_VOLUME_STEP5, //Kitaoǉ
	APPEVENT_VOLUME_STEP4, //Kitaoǉ
	APPEVENT_VOLUME_STEP3, //Kitaoǉ
	APPEVENT_VOLUME_STEP2, //Kitaoǉ
	APPEVENT_VOLUME_STEP1, //Kitaoǉ
	APPEVENT_VOLUME_DETAILUP, //Kitaoǉ
	APPEVENT_VOLUME_DETAILDN, //Kitaoǉ
	APPEVENT_VOLUME_ATTENTION, //Kitaoǉ
	APPEVENT_VOLUME_CONTROL, //Kitaoǉ
	APPEVENT_VOLUME_MUTE1, //Kitaoǉ
	APPEVENT_VOLUME_MUTE2, //Kitaoǉ
	APPEVENT_VOLUME_MUTE3, //Kitaoǉ
	APPEVENT_VOLUME_MUTE4, //Kitaoǉ
	APPEVENT_VOLUME_MUTE5, //Kitaoǉ
	APPEVENT_VOLUME_MUTE6, //Kitaoǉ
	APPEVENT_VOLUME_MUTEA, //Kitaoǉ
	APPEVENT_VOLUME_MUTEU, //Kitaoǉ

	APPEVENT_INFO_SHOWFPS, //Kitaoǉ
	APPEVENT_INFO_TESTDELAY, //Kitaoǉ
	APPEVENT_INFO_MANUENGLISH,  //Kitaoǉ
	APPEVENT_INFO_MANUJAPANESE,  //Kitaoǉ
	APPEVENT_INFO_README,  //Kitaoǉ
	APPEVENT_INFO_HOMEPAGE,  //Kitaoǉ
	APPEVENT_INFO_VERSION,  //Kitaoǉ

	APPEVENT_DEVICE_CD0,  //Kitaoǉ
	APPEVENT_DEVICE_CD1,  //Kitaoǉ
	APPEVENT_DEVICE_CD2,  //Kitaoǉ
	APPEVENT_DEVICE_CD3,  //Kitaoǉ
	APPEVENT_DEVICE_CD4,  //Kitaoǉ
	APPEVENT_DEVICE_CD5,  //Kitaoǉ
	APPEVENT_DEVICE_CD6,  //Kitaoǉ
	APPEVENT_DEVICE_CD7,  //Kitaoǉ
	APPEVENT_DEVICE_CD8,  //Kitaoǉ
	APPEVENT_DEVICE_CD9,  //Kitaoǉ
	APPEVENT_CD_PLAYINSTALL, //Kitaoǉ
	APPEVENT_CD_INSTALL, //Kitaoǉ
	APPEVENT_CD_FULLINSTALL, //Kitaoǉ
	APPEVENT_CD_UNINSTALL, //Kitaoǉ
	APPEVENT_CD_OPENINSTALL, //Kitaoǉ
	APPEVENT_CD_CUSTOMIZEINSTALL, //Kitaoǉ
	APPEVENT_CD_SETSYSCARD, //Kitaoǉ
	APPEVENT_CD_SETSYSCARD1, //Kitaoǉ
	APPEVENT_CD_SETSYSCARD2, //Kitaoǉ
	APPEVENT_CD_JUUOUKI, //Kitaoǉ
	APPEVENT_CD_OSYSCARD1, //Kitaoǉ
	APPEVENT_CD_OSYSCARD2, //Kitaoǉ
	APPEVENT_CD_BACKUPFULL, //Kitaoǉ
	APPEVENT_CD_ARCADECARD, //Kitaoǉ
	APPEVENT_CD_HELP, //Kitaoǉ

	APPEVENT_CHANGE_CDC,  //Kitaoǉ
	APPEVENT_CHANGE_CD0,  //Kitaoǉ
	APPEVENT_CHANGE_CD1,  //Kitaoǉ
	APPEVENT_CHANGE_CD2,  //Kitaoǉ
	APPEVENT_CHANGE_CD3,  //Kitaoǉ
	APPEVENT_CHANGE_CD4,  //Kitaoǉ
	APPEVENT_CHANGE_CD5,  //Kitaoǉ
	APPEVENT_CHANGE_CD6,  //Kitaoǉ
	APPEVENT_CHANGE_CD7,  //Kitaoǉ
	APPEVENT_CHANGE_CD8,  //Kitaoǉ
	APPEVENT_CHANGE_CD9,  //Kitaoǉ
	APPEVENT_F1_NORESET, //Kitaoǉ

	APPEVENT_STARTFASTCD_ON,  //Kitaoǉ
	APPEVENT_STARTFASTCD_OFF,  //Kitaoǉ
	APPEVENT_STARTFASTCD_PRE,  //Kitaoǉ

	APPEVENT_STARTFASTSEEK_ON,  //Kitaoǉ
	APPEVENT_STARTFASTSEEK_OFF,  //Kitaoǉ
	APPEVENT_STARTFASTSEEK_PRE,  //Kitaoǉ

	APPEVENT_IMPROVE_GRADIUS2, //Kitaoǉ
	APPEVENT_IMPROVE_MEGATEN, //Kitaoǉ
	APPEVENT_IMPROVE_SORCERIANOP, //Kitaoǉ
	APPEVENT_IMPROVE_SORCERIANBGM, //Kitaoǉ
	APPEVENT_STARTSPRITE_OFF,  //Kitaoǉ
	APPEVENT_STARTSPRITE_ON,  //Kitaoǉ
	APPEVENT_STARTSPRITE_PRE,  //Kitaoǉ

	APPEVENT_MENU_HIDEMENU,  //Kitaoǉ
	APPEVENT_MENU_HIDEMESSAGE,  //Kitaoǉ
	APPEVENT_MENU_MESSAGETIME100,  //Kitaoǉ
	APPEVENT_MENU_MESSAGETIME80,  //Kitaoǉ
	APPEVENT_MENU_MESSAGETIME60,  //Kitaoǉ
	APPEVENT_MENU_MESSAGETIME40,  //Kitaoǉ
	APPEVENT_MENU_MESSAGETIME20,  //Kitaoǉ

	APPEVENT_SPEED_V0,  //Kitaoǉ
	APPEVENT_SPEED_V1,  //Kitaoǉ
	APPEVENT_SPEED_V2,  //Kitaoǉ
	APPEVENT_SPEED_V3,  //Kitaoǉ
	APPEVENT_SPEED_V4,  //Kitaoǉ
	APPEVENT_SPEED_V5,  //Kitaoǉ
	APPEVENT_SPEED_V6,  //Kitaoǉ
	APPEVENT_SPEED_V7,  //Kitaoǉ
	APPEVENT_SPEED_V8,  //Kitaoǉ
	APPEVENT_SPEED_V9,  //Kitaoǉ
	APPEVENT_SPEED_VAL,  //Kitaoǉ
	APPEVENT_SPEED_VUSE,  //Kitaoǉ
	APPEVENT_SPEED_VSET,  //Kitaoǉ
	APPEVENT_SPEED_VUP,  //Kitaoǉ
	APPEVENT_SPEED_VDOWN,  //Kitaoǉ
	APPEVENT_SPEED_P0,  //Kitaoǉ
	APPEVENT_SPEED_T3,  //Kitaoǉ
	APPEVENT_SPEED_T2,  //Kitaoǉ
	APPEVENT_SPEED_T1,  //Kitaoǉ
	APPEVENT_SPEED_P6,  //Kitaoǉ
	APPEVENT_SPEED_P5,  //Kitaoǉ
	APPEVENT_SPEED_P4,  //Kitaoǉ
	APPEVENT_SPEED_P3,  //Kitaoǉ
	APPEVENT_SPEED_P2,  //Kitaoǉ
	APPEVENT_SPEED_P1,  //Kitaoǉ
	APPEVENT_SPEED_M1,  //Kitaoǉ
	APPEVENT_SPEED_M2,  //Kitaoǉ
	APPEVENT_SPEED_CSET,  //Kitaoǉ
	APPEVENT_SPEED_UNLOAD, //Kitaoǉ
	APPEVENT_SPEED_LOAD, //Kitaoǉ
	APPEVENT_SPEED_FASTCD,  //Kitaoǉ
	APPEVENT_SPEED_FASTSEEK,  //Kitaoǉ
	APPEVENT_SPEED_MAXFASTCD, //Kitaoǉ
	APPEVENT_SPEED_HELP,  //Kitaoǉ

	APPEVENT_RASTERTIMING_MEARLY,  //Kitaoǉ
	APPEVENT_RASTERTIMING_EARLY,  //Kitaoǉ
	APPEVENT_RASTERTIMING_MIDDLE,  //Kitaoǉ
	APPEVENT_RASTERTIMING_LATE,  //Kitaoǉ
	APPEVENT_RASTERTIMING_MLATE,  //Kitaoǉ

	APPEVENT_INVALIDATE_CDINST, //Kitaoǉ
	APPEVENT_SUPERGRAFX,  //Kitaoǉ
	APPEVENT_SPRITEOVER,  //Kitaoǉ
	APPEVENT_POWERON_EFFECT, //Kitaoǉ
	APPEVENT_STRIKEBALL, //Kitaoǉ

	APPEVENT_LAYER_SPRITE, //Kitaoǉ
	APPEVENT_LAYER_BG, //Kitaoǉ
	APPEVENT_LAYER_SPRITE2, //Kitaoǉ
	APPEVENT_LAYER_BG2, //Kitaoǉ
	APPEVENT_SPRITEBG_BUTTON, //Kitaoǉ

	APPEVENT_BIT_CONVERT,  //Kitaoǉ
	APPEVENT_SHOW_DEBUG,  //Kitaoǉ

	APPEVENT_ALL_DEFAULT, //Kitaoǉ

	APPEVENT_OUTPUT_SCREENSHOT, //Kitaoǉ
	APPEVENT_FOLDER_SCREENSHOT, //Kitaoǉ
	APPEVENT_SCREENSHOT_BUTTON, //Kitaoǉ
	APPEVENT_SCREENSHOT_DEFAULT, //Kitaoǉ
	APPEVENT_SCREENSHOT_X1, //Kitaoǉ
	APPEVENT_SCREENSHOT_X2, //Kitaoǉ
	APPEVENT_SCREENSHOT_X3, //Kitaoǉ
	APPEVENT_SCREENSHOT_X4, //Kitaoǉ
	APPEVENT_SCREENSHOT_XN, //Kitaoǉ
	APPEVENT_SCREENSHOT_SIZE, //Kitaoǉ
	APPEVENT_SSHOT_SAMEPLAYING, //Kitaoǉ
	APPEVENT_SSHOT_SPSCANLINED, //Kitaoǉ
	APPEVENT_SSHOT_HRSCANLINEDTV, //Kitaoǉ
	APPEVENT_SSHOT_HRSCANLINED, //Kitaoǉ
	APPEVENT_SSHOT_HRSCANLINED2, //Kitaoǉ
	APPEVENT_SSHOT_HRSCANLINED3, //Kitaoǉ
	APPEVENT_SSHOT_HRSCANLINEDF, //Kitaoǉ
	APPEVENT_SSHOT_NONSCANLINED, //Kitaoǉ
	APPEVENT_SSHOT_NONSCANLINED2, //Kitaoǉ
	APPEVENT_SSHOT_NONSCANLINEDTV, //Kitaoǉ
	APPEVENT_SSHOT_SAVEFOLDER, //Kitaoǉ
	APPEVENT_SSHOT_SAVEDIALOG, //Kitaoǉ

	APPEVENT_OUTPUT_WAV1, //Kitaoǉ
	APPEVENT_OUTPUT_WAV123, //Kitaoǉ
	APPEVENT_OUTPUT_WAV12, //Kitaoǉ
	APPEVENT_OUTPUT_WAV2, //Kitaoǉ
	APPEVENT_OUTPUT_WAV3, //Kitaoǉ
	APPEVENT_OUTPUT_WAV0, //Kitaoǉ
	APPEVENT_OUTPUT_WAVS1, //Kitaoǉ
	APPEVENT_OUTPUT_WAVS2, //Kitaoǉ
	APPEVENT_OUTPUT_WAVNT, //Kitaoǉ
	APPEVENT_OUTPUT_WAVBE, //Kitaoǉ
	APPEVENT_OUTPUT_AVI, //Kitaoǉ
	APPEVENT_ABOUT_AVI //Kitaoǉ
};


typedef struct
{
	Sint32		screenWidth;
	Sint32		screenHeight;
	Sint32		bitsPerPixel;
	Sint32		magnification;
	BOOL		bFullScreen;
	BOOL		bScanLine;
	BOOL		bStretched;
	BOOL		bSync60HzScreen;
	BOOL		bHardwareAcceleration;
} ScreenModeArg;


typedef struct
{
	Sint32		bufferSize;
	Sint32		sampleRate;
	Sint32		overSampleRate;
	Sint32		masterVolume;
	BOOL		bReverb;
} SoundModeArg;


BOOL
APPEVENT_Init();

BOOL
APPEVENT_Deinit();


BOOL
APPEVENT_Set(
	const Sint32	event,
	const void*		pParam);

const Sint32
APPEVENT_GetEventID();

const void*
APPEVENT_GetParam(
	const Sint32	event);

void
APPEVENT_Ack();


#endif // APP_EVENT_H_INCLUDED
